<template>
    <div class="wizard clearfix">
        <div class="steps clearfix">
            <div class="form-wizard-line"></div>
            <ul v-if="auth" role="tablist">
                <li :class="paso == 1 ? 'first current' : 'first'">
                    <a v-on:click.prevent="paso = 1" href="javascript:void(0)">
                        <span class="current-info audible">current step: </span>
                        <span class="number">1</span>
                        <span class="step-title">Pedido</span>
                    </a>
                </li>
                <li :class="paso == 2 ? 'first current' : 'first'">
                    <a href="javascript:void(0)">
                        <span class="number">2</span>
                        <span class="step-title">Pagar</span>
                    </a>
                </li>
            </ul>
            <ul v-if="!auth" role="tablist">
                <li :class="paso == 1 ? 'first current' : 'first'">
                    <a v-on:click.prevent="paso = 1" href="javascript:void(0)">
                        <span class="current-info audible">current step: </span>
                        <span class="number">1</span>
                        <span class="step-title">Login</span>
                    </a>
                </li>
            </ul>
        </div>
        <div v-if="auth" class="content clearfix">
            <div v-if="paso == 1">
                <h3 class="title ">Pedido</h3>
                <front-checkout-pedido-component
                    :paso="paso"
                    :auths="auth"
                    @nextStep="paso = $event"
                ></front-checkout-pedido-component>
            </div>
            <div v-if="paso == 2">
                <h3 class="title ">Pagar</h3>
                <front-checkout-payment-component></front-checkout-payment-component>
            </div>
        </div>
        <div v-if="!auth" class="content clearfix">
            <h3 class="title ">Autorización</h3>
            <front-checkout-auth-component></front-checkout-auth-component>
        </div>
    </div>
</template>

<script>
export default {
    props: ["auth"],
    mounted() {
        this.get();
    },
    data() {
        return {
            curso: "",
            order: "",
            paso: 1
        };
    },
    methods: {
        get() {},
    }
};
</script>
